pcl::detail::AccumulatorRGBA Struct Reference

`#include <pcl/common/impl/accumulators.hpp>`

## Public Types

typedef pcl::traits::has_color< boost::mpl::_1 > | IsCompatible

## Public Member Functions

| AccumulatorRGBA ()
template<typename PointT >
void | add (const PointT &t)
template<typename PointT >
void | get (PointT &t, size_t n) const

## Public Attributes

float | r
float | g
float | b
float | a

## Detailed Description

Definition at line 132 of file accumulators.hpp.

## Member Typedef Documentation

typedef pcl::traits::has_color<boost::mpl::_1> pcl::detail::AccumulatorRGBA::IsCompatible

Definition at line 136 of file accumulators.hpp.

## Constructor & Destructor Documentation

pcl::detail::AccumulatorRGBA::AccumulatorRGBA | ( |  | ) |

inline

Definition at line 141 of file accumulators.hpp.

## Member Function Documentation

template<typename PointT >

void pcl::detail::AccumulatorRGBA::add | ( | const PointT & | t | ) |

inline

Definition at line 144 of file accumulators.hpp.

template<typename PointT >

void pcl::detail::AccumulatorRGBA::get | ( | PointT & | t,
|  | size_t | n
| ) |  | const

inline

Definition at line 153 of file accumulators.hpp.

## Member Data Documentation

float pcl::detail::AccumulatorRGBA::a

Definition at line 139 of file accumulators.hpp.

float pcl::detail::AccumulatorRGBA::b

Definition at line 139 of file accumulators.hpp.

float pcl::detail::AccumulatorRGBA::g

Definition at line 139 of file accumulators.hpp.

float pcl::detail::AccumulatorRGBA::r

Definition at line 139 of file accumulators.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/impl/accumulators.hpp